cURL
curl "https://api.phrase.com/v2/accounts/:account_id/spaces/:space_id/projects" \
-u USERNAME_OR_ACCESS_TOKENphrase spaces projects_list \
--account_id <account_id> \
--space_id <space_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/spaces/{space_id}/projects"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/spaces/{space_id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"slug": "android_project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"space": "space",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]Spaces
List Projects in Space
List all projects for the specified Space.
GET
/
accounts
/
{account_id}
/
spaces
/
{space_id}
/
projects
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/spaces/:space_id/projects" \
-u USERNAME_OR_ACCESS_TOKENphrase spaces projects_list \
--account_id <account_id> \
--space_id <space_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/spaces/{space_id}/projects"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/spaces/{space_id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"slug": "android_project",
"main_format": "xml",
"project_image_url": "http://assets.example.com/project.png",
"account": "account",
"space": "space",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Response
OK
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234", "name": "Company Account", "slug": "company_account", "company": "My Awesome Company", "created_at": "2015-01-28T09:52:53Z", "updated_at": "2015-01-28T09:52:53Z", "company_logo_url": "http://assets.example.com/company_logo.png" }
Show child attributes
Show child attributes
Example:
{ "id": "2e7574e8f2372906a03110c2a7cfe671", "name": "My first space", "created_at": "2020-02-25T12:17:25Z", "updated_at": "2020-03-13T14:46:57Z", "projects_count": 2 }
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "username": "johndoe", "name": "John Doe", "gravatar_uid": "205e460b479e2e5b48aec07710c08d50" }
Was this page helpful?
⌘I